Update Product
curl --request PATCH \
--url https://api.atlas.co/functions/v1/products/{product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"statement_descriptor": "<string>",
"unit_label": "<string>",
"images": [
"<string>"
],
"is_active": true,
"metadata": {}
}
'import requests
url = "https://api.atlas.co/functions/v1/products/{product_id}"
payload = {
"name": "<string>",
"description": "<string>",
"statement_descriptor": "<string>",
"unit_label": "<string>",
"images": ["<string>"],
"is_active": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
statement_descriptor: '<string>',
unit_label: '<string>',
images: ['<string>'],
is_active: true,
metadata: {}
})
};
fetch('https://api.atlas.co/functions/v1/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "product",
"name": "<string>",
"description": "<string>",
"statement_descriptor": "<string>",
"unit_label": "<string>",
"images": [
"<string>"
],
"active": true,
"default_price": "<string>",
"prices": [
{
"id": "<string>",
"object": "price",
"product": "<string>",
"active": true,
"currency": "<string>",
"unit_amount": 123,
"recurring": {
"interval": "<string>",
"interval_count": 123,
"usage_type": "<string>",
"aggregate_usage": "<string>"
},
"tiers": [
{}
],
"tiers_mode": "<string>",
"nickname": "<string>",
"metadata": {},
"created": 123
}
],
"metadata": {},
"created": 123,
"updated": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Products
Update Product
PATCH
/
products
/
{product_id}
Update Product
Authorizations
API key (sk_test_* or sk_live_*)
Path Parameters
Body
application/json
Response
Product updated
⌘I